gimp-app pkg-plist wrong? - FreeBSD

This is a discussion on gimp-app pkg-plist wrong? - FreeBSD ; libexec/gimp/2.2/plug-ins/help-browser is in pkg-plist, but did not get installed. Is my installation broken or pkg-plist wrong? _______________________________________________ freebsd-gnome@freebsd.org mailing list http://lists.freebsd.org/mailman/listinfo/freebsd-gnome To unsubscribe, send any mail to "freebsd-gnome-unsubscribe@freebsd.org"...

+ Reply to Thread
Results 1 to 3 of 3

Thread: gimp-app pkg-plist wrong?

  1. gimp-app pkg-plist wrong?

    libexec/gimp/2.2/plug-ins/help-browser is in pkg-plist, but did not get
    installed. Is my installation broken or pkg-plist wrong?
    _______________________________________________
    freebsd-gnome@freebsd.org mailing list
    http://lists.freebsd.org/mailman/listinfo/freebsd-gnome
    To unsubscribe, send any mail to "freebsd-gnome-unsubscribe@freebsd.org"


  2. Re: gimp-app pkg-plist wrong?

    On Mon, 13 Oct 2008 13:43:52 +0200
    Jan Henrik Sylvester wrote:

    > libexec/gimp/2.2/plug-ins/help-browser is in pkg-plist, but did not get
    > installed. Is my installation broken or pkg-plist wrong?


    I noticed the same. I'd think that the help-browser didn't get
    built/installed since OPTIONS shows that feature as "ON" by default.

    When the option for building the help-browser is defined it sets
    the CONFIGURE_ARGS to "--with-gtkhtml2" but I think this needs to
    be changed for the new Gimp. I found a reference on the Gimp site
    ( http://www.gimpusers.com/forums/gimp....html#msg47479 )
    that seemed to indicate that the help browser has been ported from
    gtkhtml2 to WebKit.

    I'm thinking this is the reason that this turns up during the
    configure step:

    checking for WEBKIT... gnome-config: not found

    The www/webkit-gtk2 _might_ be what configure is looking for but
    that's just a guess on my part. I've not tried it yet since it adds
    several more dependencies that I don't have installed and its too late
    in the day to start digging further.

    Anyway, hope this helps and isn't some red herring.

    Randy
    --
    _______________________________________________
    freebsd-gnome@freebsd.org mailing list
    http://lists.freebsd.org/mailman/listinfo/freebsd-gnome
    To unsubscribe, send any mail to "freebsd-gnome-unsubscribe@freebsd.org"


  3. Re: gimp-app pkg-plist wrong?

    On Tue, 14 Oct 2008 16:29:55 +0200
    Jan Henrik Sylvester wrote:

    > Randy Pratt wrote:
    > > On Mon, 13 Oct 2008 13:43:52 +0200
    > > Jan Henrik Sylvester wrote:
    > >
    > >> libexec/gimp/2.2/plug-ins/help-browser is in pkg-plist, but did not get
    > >> installed. Is my installation broken or pkg-plist wrong?

    >
    > > The www/webkit-gtk2 _might_ be what configure is looking for but
    > > that's just a guess on my part. I've not tried it yet since it adds

    >
    > You are correct: If www/webkit-gtk2 is installed, gimp-app does install
    > help-browser (and pkg-plist is correct in that case).
    >
    > I would expect help-browser to provide the "Help", but GIMP still
    > claims: "The GIMP user manual is not installed on your Computer."
    >
    > Pulling in the www/webkit-gtk2 dependency for a non-functional help in
    > GIMP seems to be wrong, but otherwise the pkg-plist of gimp-app needs
    > conditionals.


    It might be missing graphics/gimp-help to complete things. The URL
    ( http://www.gimpusers.com/forums/gimp....html#msg47479 )
    also mentions that the online version can be used instead of installing
    locally via options in Edit/Preferences.

    I tried to install webkit this morning but did not quite get there
    with many errors similar to:

    In file included from DerivedSources/HTMLNames.cpp:36:
    ../JavaScriptCore/wtf/PassRefPtr.h:44: sorry, unimplemented: inlining
    failed in c all to 'WTF::PassRefPtr::~PassRefPtr() [with T =
    WebCore::StringImpl]': funct ion body not available
    ../WebCore/platform/text/PlatformString.h:58: sorry, unimplemented:
    called from h ere
    In file included from DerivedSources/HTMLNames.cpp:36:
    ../JavaScriptCore/wtf/PassRefPtr.h:44: sorry, unimplemented: inlining
    failed in c all to 'WTF::PassRefPtr::~PassRefPtr() [with T =
    WebCore::StringImpl]': funct ion body not available
    ../WebCore/platform/text/PlatformString.h:58: sorry, unimplemented:
    called from h ere
    gmake[1]: *** [DerivedSources/libWebKitGtk_la-HTMLNames.lo] Error 1
    gmake[1]: Leaving directory
    `/usr/ports/www/webkit-gtk2/work/WebKit-r30549' gmake: *** [all] Error 2
    *** Error code 2

    Stop in /usr/ports/www/webkit-gtk2.

    OS/Version: FreeBSD 6.4-PRERELEASE #0: Fri Oct 3 08:05:50 EDT 2008
    All ports are up-to-date.

    Randy
    --
    _______________________________________________
    freebsd-gnome@freebsd.org mailing list
    http://lists.freebsd.org/mailman/listinfo/freebsd-gnome
    To unsubscribe, send any mail to "freebsd-gnome-unsubscribe@freebsd.org"


+ Reply to Thread